Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetLoginUrl

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.HttpUrl>
it.tdlight.jni.TdApi.GetLoginUrl

Enclosing class:
  TdApi

public static final class TdApi.GetLoginUrl extends TdApi.Function<TdApi.HttpUrl>
Returns an HTTP URL which can be used to automatically authorize the user on a website after clicking an inline button of type inlineKeyboardButtonTypeLoginUrl. Use the method getLoginUrlInfo to find whether a prior user confirmation is needed. If an error is returned, then the button must be handled as an ordinary URL button.

Returns `HttpUrl`

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`allowWriteAccess`
Pass true to allow the bot to send messages to the current user.
`long`
`buttonId`
Button identifier.
`long`
`chatId`
Chat identifier of the message with the button.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`long`
`messageId`
Message identifier of the message with the button.

## Constructor Summary

Constructors
Constructor
Description
`GetLoginUrl()`
Returns an HTTP URL which can be used to automatically authorize the user on a website after clicking an inline button of type inlineKeyboardButtonTypeLoginUrl.
`GetLoginUrl(long chatId, long messageId, long buttonId, boolean allowWriteAccess)`
Returns an HTTP URL which can be used to automatically authorize the user on a website after clicking an inline button of type inlineKeyboardButtonTypeLoginUrl.
`GetLoginUrl(DataInput input)`
Returns an HTTP URL which can be used to automatically authorize the user on a website after clicking an inline button of type inlineKeyboardButtonTypeLoginUrl.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier of the message with the button.

### messageId

public long messageId
Message identifier of the message with the button.

### buttonId

public long buttonId
Button identifier.

### allowWriteAccess

public boolean allowWriteAccess
Pass true to allow the bot to send messages to the current user.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### GetLoginUrl

public GetLoginUrl()
Returns an HTTP URL which can be used to automatically authorize the user on a website after clicking an inline button of type inlineKeyboardButtonTypeLoginUrl. Use the method getLoginUrlInfo to find whether a prior user confirmation is needed. If an error is returned, then the button must be handled as an ordinary URL button.

Returns `HttpUrl`

### GetLoginUrl

public GetLoginUrl(long chatId, long messageId, long buttonId, boolean allowWriteAccess)
Returns an HTTP URL which can be used to automatically authorize the user on a website after clicking an inline button of type inlineKeyboardButtonTypeLoginUrl. Use the method getLoginUrlInfo to find whether a prior user confirmation is needed. If an error is returned, then the button must be handled as an ordinary URL button.

Returns `HttpUrl`

Parameters:
  `chatId` - Chat identifier of the message with the button.
  `messageId` - Message identifier of the message with the button.
  `buttonId` - Button identifier.
  `allowWriteAccess` - Pass true to allow the bot to send messages to the current user.

  Returns `HttpUrl`

### GetLoginUrl

public GetLoginUrl(DataInput input) throws IOException
Returns an HTTP URL which can be used to automatically authorize the user on a website after clicking an inline button of type inlineKeyboardButtonTypeLoginUrl. Use the method getLoginUrlInfo to find whether a prior user confirmation is needed. If an error is returned, then the button must be handled as an ordinary URL button.

Returns `HttpUrl`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`